Bug 1262116 - Virt-manager SPICE windows keep resetting in size under Wayland
Virt-manager SPICE windows keep resetting in size under Wayland
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: spice-gtk (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc-Andre Lureau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 16:17 EDT by Stephen Gallagher
Modified: 2016-09-22 14:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-22 14:16:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92011 None None None Never

  None (edit)
Description Stephen Gallagher 2015-09-10 16:17:53 EDT
Description of problem:
When running under Wayland, virt-manager windows displaying graphical windows (such as Anaconda) in a SPICE window will revert to the default size any time they lose focus.

Version-Release number of selected component (if applicable):
virt-manager-1.2.1-3.fc23.noarch

How reproducible:
Every time

Steps to Reproduce:
1. On Fedora 23, start GNOME Wayland session
2. Load virt-manager and access a virtual machine with a graphical window of at least 1024x768
3. Click on another window to take focus away.

Actual results:
The graphical window will snap down to its default size.

Expected results:
The window should remain how it was last resized.

Additional info:
Comment 1 Victor Toso 2015-09-15 08:08:05 EDT
Moving this to spice-gtk component.
I'll be cloning this bug upstream as wayland work is still in progress upstream.

Thanks for your report
Comment 2 Stephen Gallagher 2016-09-22 14:16:43 EDT
This is working in the latest releases (as of F25 Alpha, at least). Closing.

Note You need to log in before you can comment on or make changes to this bug.